<template>
  <!-- 确认结果以及协同人处理结果页面 -->
  <div>
    <!-- <tortTeamWork :patentNo="patentNo" :projectId="projectId" :taskId="taskId"></tortTeamWork> -->
    <tortContrast :patentNo="patentNo" :projectId="projectId" :taskId="taskId" :reportType="reportType" :isResult="isResult"></tortContrast>
  </div>
</template>

<script>
import tortContrast from '../tortContrast.vue'
export default {
  components: {
    tortContrast
  },
  data() {
    return {
      patentNo:null,
    }
  },
  computed: {
    // patentNo() {
    //   return this.$route.query.patentNo
    // },
    projectId() {
      return this.$route.query.projectId
    },
    taskId() {
      return this.$route.query.taskId
    },
    isResult() {
      return this.$route.query.isResult
    },
    reportType() {
      return this.$route.query.reportType
    },
  },
  async mounted() {
    await this.getPatentNo()
  },
  methods: {
    async getPatentNo() {
      let params = {
        taskId:this.taskId
      }
      await this.$api.getPatentNoByTaskId(params).then(res => {
        if (res.code == 200) {
          this.patentNo = res.data
        }
      })
    },
  },
}
</script>

<style lang="scss" scoped></style>